summaryrefslogtreecommitdiffstats
path: root/package
diff options
context:
space:
mode:
authornbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2007-04-02 09:41:56 +0000
committernbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2007-04-02 09:41:56 +0000
commit120707c71eb49b3c5630cbd5ae877b1ab28dbaa2 (patch)
tree831ecd1dfc70aa7879370e891ea5810219a6cb47 /package
parent508a635e89649eb273ba7a6f059e4a7b0210ef52 (diff)
network config: ignore nonexistant interfaces
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@6819 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package')
-rwxr-xr-xpackage/base-files/files/lib/network/config.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/package/base-files/files/lib/network/config.sh b/package/base-files/files/lib/network/config.sh
index cab2e06f0..eee72c0cd 100755
--- a/package/base-files/files/lib/network/config.sh
+++ b/package/base-files/files/lib/network/config.sh
@@ -84,6 +84,7 @@ prepare_interface() {
# Setup VLAN interfaces
add_vlan "$iface"
+ ifconfig "$iface" 2>/dev/null >/dev/null || return 0
# Setup bridging
config_get iftype "$config" type